Subject: Re: linux-next: manual merge of the iommufd tree with the iommu tree

From: Baolu Lu <[email-masked]>
Date: Wed, 25 Oct 2023 20:16:16 +0800

On 2023/10/25 20:12, Jason Gunthorpe wrote:
> On Wed, Oct 25, 2023 at 03:34:55PM +1100, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the iommufd tree got a conflict in:
>>
>>    drivers/iommu/intel/pasid.c
>>
>> between commit:
>>
>>    c61c255e114c ("iommu/vt-d: Remove unused function")
>>
>> from the iommu tree and commits:
>>
>>    f35f22cc760e ("iommu/vt-d: Access/Dirty bit support for SS domains")
>>    cbf8b441ea08 ("iommu/vt-d: Add helper to setup pasid nested translation")
>>
>> from the iommufd tree.
>>
>> I fixed it up (the latter added a use of the function removed by
>> the former, so I just used the latter) and can carry the fix as
>> necessary. This is now fixed as far as linux-next is concerned, but any
>> non trivial
> Intel folks, this is not nice 🙁 Why was the first commit done at all
> if the nesting series needs this?

It's my fault. My apologies for not realizing that the helper would
still be used by the nesting translation series. I will be more careful
in the future.

Best regards,
baolu